summaryrefslogtreecommitdiffstats
path: root/network
diff options
context:
space:
mode:
author Audrius Kažukauskas <audrius@neutrino.lt>2012-06-25 21:37:45 -0400
committer dsomero <xgizzmo@slackbuilds.org>2012-06-25 21:37:45 -0400
commit5ed5d48bc57172d06c173b373c294e33f08c96be (patch)
tree4d50600277d9ddd40b76e6f0a97edcaa9dbebe84 /network
parent05a38c440c9ff9b95bd17bf3d45b354110b739d9 (diff)
downloadslackbuilds-5ed5d48bc57172d06c173b373c294e33f08c96be.tar.gz
slackbuilds-5ed5d48bc57172d06c173b373c294e33f08c96be.tar.xz
network/uwsgi: Updated for version 1.2.3.
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'network')
-rw-r--r--network/uwsgi/README6
-rw-r--r--network/uwsgi/uwsgi.SlackBuild29
-rw-r--r--network/uwsgi/uwsgi.info6
3 files changed, 23 insertions, 18 deletions
diff --git a/network/uwsgi/README b/network/uwsgi/README
index d65adf3a69..237dee5845 100644
--- a/network/uwsgi/README
+++ b/network/uwsgi/README
@@ -10,6 +10,6 @@ uWSGI is designed to be fully modular. This means that different
plugins can be used in order to add compatibility with tons of different
technology on top of the same core.
-This script builds plugins for Python 2.6, Python 3.2 (optional, pass
-PYTHON32=yes to enable; requires python3 to be installed), Perl PSGI
-(disabled, works only with Perl from -current), and Ruby Rack.
+This script builds plugins for Python 2.x, Python 3.x (optional, pass
+PYTHON3=yes to enable; requires python3 to be installed), Perl PSGI, and
+Ruby Rack.
diff --git a/network/uwsgi/uwsgi.SlackBuild b/network/uwsgi/uwsgi.SlackBuild
index 4fe1fcfd5b..3f0b4fbb84 100644
--- a/network/uwsgi/uwsgi.SlackBuild
+++ b/network/uwsgi/uwsgi.SlackBuild
@@ -4,7 +4,7 @@
# Written by Audrius Kažukauskas <audrius@neutrino.lt>
PRGNAM=uwsgi
-VERSION=${VERSION:-1.0.4}
+VERSION=${VERSION:-1.2.3}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -35,15 +35,15 @@ else
LIBDIRSUFFIX=""
fi
-# Build Python 2.6 plugin.
-PYTHON26=${PYTHON26:-yes}
+# Build Python 2.x plugin.
+PYTHON=${PYTHON:-yes}
-# Set this to "yes" if you want to build a plugin for Python 3.2. Requires
+# Set this to "yes" if you want to build a plugin for Python 3.x. Requires
# python3 to be installed.
-PYTHON32=${PYTHON32:-no}
+PYTHON3=${PYTHON3:-no}
-# Perl PSGI plugin is disabled for now, as it works only on -current.
-PSGI=${PSGI:-no}
+# Perl PSGI plugin.
+PSGI=${PSGI:-yes}
# Build Ruby Rack plugin.
RACK=${RACK:-yes}
@@ -66,7 +66,7 @@ find . \
# Create build config file.
cat > buildconf/package.ini <<EOF
[uwsgi]
-inherit = default
+inherit = base
plugin_dir = /usr/lib$LIBDIRSUFFIX/uwsgi-$VERSION
embedded_plugins = null
EOF
@@ -86,8 +86,7 @@ sed -i "s|= /usr|= $PKG/usr|" buildconf/package.ini
PLUGINS="cache ping rpc fastrouter http ugreen signal syslog"
# Decide which language plugins to build.
-[ "$PYTHON26" = "yes" ] && PLUGINS="$PLUGINS python26"
-[ "$PYTHON32" = "yes" ] && PLUGINS="$PLUGINS python32"
+[ "$PYTHON" = "yes" ] && PLUGINS="$PLUGINS python"
[ "$PSGI" = "yes" ] && PLUGINS="$PLUGINS psgi"
[ "$RACK" = "yes" ] && PLUGINS="$PLUGINS rack"
@@ -97,10 +96,16 @@ for PLUGIN in $PLUGINS ; do
python uwsgiconfig.py --plugin plugins/$PLUGIN package
done
+# Use python3 to build plugin for it.
+if [ "$PYTHON3" = "yes" ]; then
+ CFLAGS="$SLKCFLAGS" \
+ python3 uwsgiconfig.py --plugin plugins/python package python3
+fi
+
# Create a few symlinks for automatic plugin loading.
( cd $PKG/usr/bin
- [ "$PYTHON26" = "yes" ] && ln -sf uwsgi uwsgi_python26 || true
- [ "$PYTHON32" = "yes" ] && ln -sf uwsgi uwsgi_python32 || true
+ [ "$PYTHON" = "yes" ] && ln -sf uwsgi uwsgi_python || true
+ [ "$PYTHON3" = "yes" ] && ln -sf uwsgi uwsgi_python3 || true
[ "$PSGI" = "yes" ] && ln -sf uwsgi uwsgi_psgi || true
[ "$RACK" = "yes" ] && ln -sf uwsgi uwsgi_rack || true
)
diff --git a/network/uwsgi/uwsgi.info b/network/uwsgi/uwsgi.info
index 24a2bc9078..023f4bf7e9 100644
--- a/network/uwsgi/uwsgi.info
+++ b/network/uwsgi/uwsgi.info
@@ -1,8 +1,8 @@
PRGNAM="uwsgi"
-VERSION="1.0.4"
+VERSION="1.2.3"
HOMEPAGE="http://projects.unbit.it/uwsgi/"
-DOWNLOAD="http://projects.unbit.it/downloads/uwsgi-1.0.4.tar.gz"
-MD5SUM="559c8d1fa8274fb45437c277c0c7f121"
+DOWNLOAD="http://projects.unbit.it/downloads/uwsgi-1.2.3.tar.gz"
+MD5SUM="6090367c826216f59848677a79fb7129"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Audrius Kažukauskas"